Index: src/Fragmentation/Automation/Controller/FragmentController.cpp
===================================================================
--- src/Fragmentation/Automation/Controller/FragmentController.cpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
+++ 	(revision )
@@ -1,79 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2011 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * FragmentController.cpp
- *
- *  Created on: Nov 27, 2011
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-// boost asio needs specific operator new
-#include <boost/asio.hpp>
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "FragmentController.hpp"
-
-#include "Connection.hpp" // Must come before boost/serialization headers.
-#include "CodePatterns/Info.hpp"
-#include "CodePatterns/Log.hpp"
-
-#include "Operations/Controllers/CheckResultsOperation.hpp"
-#include "Operations/Controllers/GetNextJobIdOperation.hpp"
-#include "Operations/Controllers/ReceiveResultsOperation.hpp"
-#include "Operations/Controllers/SendJobsOperation.hpp"
-#include "Operations/Controllers/ShutdownOperation.hpp"
-
-/** Constructor of class FragmentController.
- *
- * \param io_service io_service for the asynchronous operations
- * \param _host hostname of server that accepts jobs
- * \param _service of server
- */
-FragmentController::FragmentController(
-    boost::asio::io_service& io_service) :
-    connection_(io_service)
-{
-  Info info(__FUNCTION__);
-
-  // insert commands into registry
-  Commands.registerInstance(new CheckResultsOperation(connection_));
-  Commands.registerInstance(new GetNextJobIdOperation(connection_));
-  Commands.registerInstance(new ReceiveResultsOperation(connection_));
-  Commands.registerInstance(new SendJobsOperation(connection_));
-  Commands.registerInstance(new ShutdownOperation(connection_));
-}
-
-/** Destructor of class FragmentController.
- *
- */
-FragmentController::~FragmentController()
-{
-  Commands.cleanup();
-}
-
-/** Getter for Exitflag of all any Operation.
- *
- * We simply go through all of them and check which failed.
- *
- * @return Combined Exitflag of all Operations in \a Commands.
- */
-size_t FragmentController::getExitflag() const
-{
-  for (OperationRegistry::const_iterator iter = Commands.getBeginIter();
-      iter != Commands.getEndIter(); ++iter)
-    if ((iter->second)->getExitflag() != 0)
-      return (iter->second)->getExitflag();
-  return 0;
-}
-
Index: src/Fragmentation/Automation/Controller/FragmentController.hpp
===================================================================
--- src/Fragmentation/Automation/Controller/FragmentController.hpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-/*
- * FragmentController.hpp
- *
- *  Created on: Nov 27, 2011
- *      Author: heber
- */
-
-#ifndef FRAGMENTCONTROLLER_HPP_
-#define FRAGMENTCONTROLLER_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <boost/asio.hpp>
-#include <string>
-#include <vector>
-
-#include "Connection.hpp"
-#include "Jobs/FragmentJob.hpp"
-#include "Results/FragmentResult.hpp"
-
-#include "Operations/OperationRegistry.hpp"
-
-/** The FragmentController sends bunches of jobs to a FragmentScheduler,
- *  waits for their calculation and is called when they are done. Then,
- *  he loads the bunch of results from the Scheduler.
- *
- * While the FragmentScheduler and FragmentWorker rather act on their own
- * this is the piece to implant into the user software to allow for
- * communication with the Server/Worker duo to perform the calculation
- * of the fragments on distant computers.
- */
-class FragmentController
-{
-public:
-  FragmentController(boost::asio::io_service& io_service);
-  ~FragmentController();
-
-  /// getter for operations exit flag.
-  size_t getExitflag() const;
-
-protected:
-  /// The Connection to the server.
-  Connection connection_;
-
-public:
-  //!> registry with all operations of this controller
-  OperationRegistry Commands;
-};
-
-#endif /* FRAGMENTCONTROLLER_HPP_ */
Index: src/Fragmentation/Automation/FragmentController.cpp
===================================================================
--- src/Fragmentation/Automation/FragmentController.cpp	(revision d4885d96586c1ba6400b6bf1c77eac3dd46984c1)
+++ src/Fragmentation/Automation/FragmentController.cpp	(revision d4885d96586c1ba6400b6bf1c77eac3dd46984c1)
@@ -0,0 +1,79 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2011 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * FragmentController.cpp
+ *
+ *  Created on: Nov 27, 2011
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+// boost asio needs specific operator new
+#include <boost/asio.hpp>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "FragmentController.hpp"
+
+#include "Connection.hpp" // Must come before boost/serialization headers.
+#include "CodePatterns/Info.hpp"
+#include "CodePatterns/Log.hpp"
+
+#include "Operations/Controllers/CheckResultsOperation.hpp"
+#include "Operations/Controllers/GetNextJobIdOperation.hpp"
+#include "Operations/Controllers/ReceiveResultsOperation.hpp"
+#include "Operations/Controllers/SendJobsOperation.hpp"
+#include "Operations/Controllers/ShutdownOperation.hpp"
+
+/** Constructor of class FragmentController.
+ *
+ * \param io_service io_service for the asynchronous operations
+ * \param _host hostname of server that accepts jobs
+ * \param _service of server
+ */
+FragmentController::FragmentController(
+    boost::asio::io_service& io_service) :
+    connection_(io_service)
+{
+  Info info(__FUNCTION__);
+
+  // insert commands into registry
+  Commands.registerInstance(new CheckResultsOperation(connection_));
+  Commands.registerInstance(new GetNextJobIdOperation(connection_));
+  Commands.registerInstance(new ReceiveResultsOperation(connection_));
+  Commands.registerInstance(new SendJobsOperation(connection_));
+  Commands.registerInstance(new ShutdownOperation(connection_));
+}
+
+/** Destructor of class FragmentController.
+ *
+ */
+FragmentController::~FragmentController()
+{
+  Commands.cleanup();
+}
+
+/** Getter for Exitflag of all any Operation.
+ *
+ * We simply go through all of them and check which failed.
+ *
+ * @return Combined Exitflag of all Operations in \a Commands.
+ */
+size_t FragmentController::getExitflag() const
+{
+  for (OperationRegistry::const_iterator iter = Commands.getBeginIter();
+      iter != Commands.getEndIter(); ++iter)
+    if ((iter->second)->getExitflag() != 0)
+      return (iter->second)->getExitflag();
+  return 0;
+}
+
Index: src/Fragmentation/Automation/FragmentController.hpp
===================================================================
--- src/Fragmentation/Automation/FragmentController.hpp	(revision d4885d96586c1ba6400b6bf1c77eac3dd46984c1)
+++ src/Fragmentation/Automation/FragmentController.hpp	(revision d4885d96586c1ba6400b6bf1c77eac3dd46984c1)
@@ -0,0 +1,53 @@
+/*
+ * FragmentController.hpp
+ *
+ *  Created on: Nov 27, 2011
+ *      Author: heber
+ */
+
+#ifndef FRAGMENTCONTROLLER_HPP_
+#define FRAGMENTCONTROLLER_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <boost/asio.hpp>
+#include <string>
+#include <vector>
+
+#include "Connection.hpp"
+#include "Jobs/FragmentJob.hpp"
+#include "Results/FragmentResult.hpp"
+
+#include "Operations/OperationRegistry.hpp"
+
+/** The FragmentController sends bunches of jobs to a FragmentScheduler,
+ *  waits for their calculation and is called when they are done. Then,
+ *  he loads the bunch of results from the Scheduler.
+ *
+ * While the FragmentScheduler and FragmentWorker rather act on their own
+ * this is the piece to implant into the user software to allow for
+ * communication with the Server/Worker duo to perform the calculation
+ * of the fragments on distant computers.
+ */
+class FragmentController
+{
+public:
+  FragmentController(boost::asio::io_service& io_service);
+  ~FragmentController();
+
+  /// getter for operations exit flag.
+  size_t getExitflag() const;
+
+protected:
+  /// The Connection to the server.
+  Connection connection_;
+
+public:
+  //!> registry with all operations of this controller
+  OperationRegistry Commands;
+};
+
+#endif /* FRAGMENTCONTROLLER_HPP_ */
Index: src/Fragmentation/Automation/Makefile.am
===================================================================
--- src/Fragmentation/Automation/Makefile.am	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
+++ src/Fragmentation/Automation/Makefile.am	(revision d4885d96586c1ba6400b6bf1c77eac3dd46984c1)
@@ -107,10 +107,10 @@
 
 CONTROLLERSOURCE = \
-  Controller/FragmentController.cpp \
+  FragmentController.cpp \
   Operations/OperationRegistry.cpp
 
 CONTROLLERHEADER = \
   Connection.hpp \
-  Controller/FragmentController.hpp \
+  FragmentController.hpp \
   Operations/OperationRegistry.hpp
 
Index: src/Fragmentation/Automation/controller.cpp
===================================================================
--- src/Fragmentation/Automation/controller.cpp	(revision 6ee809ee4e38907f1540d3e575987840d690326e)
+++ src/Fragmentation/Automation/controller.cpp	(revision d4885d96586c1ba6400b6bf1c77eac3dd46984c1)
@@ -39,5 +39,5 @@
 #include "CodePatterns/Info.hpp"
 #include "CodePatterns/Log.hpp"
-#include "Controller/FragmentController.hpp"
+#include "FragmentController.hpp"
 #include "Operations/Controllers/CheckResultsOperation.hpp"
 #include "Operations/Controllers/GetNextJobIdOperation.hpp"
